import type { PropType as __PropType } from 'vue';
import { AutoplayOptions, FreeModeOptions } from "swiper/types";
import { PaginationOptions } from "swiper/types/modules/pagination";
import { NavigationOptions } from "swiper/types/modules/navigation";
import { PropBreakpoint } from '../components/UiSwiperModel';
declare const _sfc_main: import("vue").DefineComponent<{
    index: {
        type: __PropType<number | undefined>;
        required: false;
    };
    slidesPerView: {
        type: __PropType<number | "auto" | undefined>;
        required: false;
        default: number;
    };
    spaceBetween: {
        type: __PropType<number | undefined>;
        required: false;
    };
    scrollbar: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    pagination: {
        type: __PropType<boolean | PaginationOptions | undefined>;
        required: false;
    };
    navigation: {
        type: __PropType<boolean | NavigationOptions | undefined>;
        required: false;
    };
    loop: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    autoHeight: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    freeMode: {
        type: __PropType<boolean | FreeModeOptions | undefined>;
        required: false;
    };
    breakpoints: {
        type: __PropType<PropBreakpoint | undefined>;
        required: false;
    };
    direction: {
        type: __PropType<"vertical" | "horizontal" | undefined>;
        required: false;
        default: string;
    };
    fade: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    autoplay: {
        type: __PropType<boolean | AutoplayOptions | undefined>;
        required: false;
    };
    centeredSlides: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    slidesPerGroup: {
        type: __PropType<number | undefined>;
        required: false;
    };
    mousewheel: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:index"[], "update:index", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    index: {
        type: __PropType<number | undefined>;
        required: false;
    };
    slidesPerView: {
        type: __PropType<number | "auto" | undefined>;
        required: false;
        default: number;
    };
    spaceBetween: {
        type: __PropType<number | undefined>;
        required: false;
    };
    scrollbar: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    pagination: {
        type: __PropType<boolean | PaginationOptions | undefined>;
        required: false;
    };
    navigation: {
        type: __PropType<boolean | NavigationOptions | undefined>;
        required: false;
    };
    loop: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    autoHeight: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    freeMode: {
        type: __PropType<boolean | FreeModeOptions | undefined>;
        required: false;
    };
    breakpoints: {
        type: __PropType<PropBreakpoint | undefined>;
        required: false;
    };
    direction: {
        type: __PropType<"vertical" | "horizontal" | undefined>;
        required: false;
        default: string;
    };
    fade: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    autoplay: {
        type: __PropType<boolean | AutoplayOptions | undefined>;
        required: false;
    };
    centeredSlides: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    slidesPerGroup: {
        type: __PropType<number | undefined>;
        required: false;
    };
    mousewheel: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
}>> & {
    "onUpdate:index"?: ((...args: any[]) => any) | undefined;
}, {
    slidesPerView: number | "auto" | undefined;
    direction: "vertical" | "horizontal" | undefined;
}>;
export default _sfc_main;
